Skip to main content
GET
/
v2
/
accounts
List accounts
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/accounts \
  --header 'Authorization: Bearer <token>'
{
  "accounts": [
    {
      "accountId": "account_af2937b0-9846-4fe7-bfe9-ccc22d935114",
      "type": "prime",
      "owner": "entity_af2937b0-9846-4fe7-bfe9-ccc22d935114",
      "name": "My Business Account",
      "createdAt": "2023-10-08T14:30:00Z",
      "updatedAt": "2023-10-08T14:30:00Z"
    }
  ],
  "nextPageToken": "eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Query Parameters

pageSize
integer
default:20

The number of resources to return per page.

pageToken
string

The token for the next page of resources, if any.

type
enum<string>

Filter accounts by account type. When omitted, accounts of any type are returned. Combined with owner using AND. The type of the Account.

Available options:
prime,
business,
cdp
Example:

"prime"

Response

Successfully listed accounts.

accounts
object[]
required

The list of accounts.

nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="